
###############################################################################
# est.pAUC is a function to compute the estimate of pAUC or AUC
# x is a non diseased sample
# y is a diseased sample
# p is a vector of two p=c(p1, p2)
###############################################################################

est.pAUC <- function(x, y, p, ...){
  
  sortedx <- x[order(x)]
  nx <- length(x)
  cx<-cumsum(rep(1/nx, nx))
  
  if (0 < p[1] & p[1] < p[2] & p[2] < 1){
    
    lowx <- sortedx[max(which(cx <= 1- p[2]))]
    
    highx <- sortedx[max(which(cx <= 1- p[1] ))]
    
    est <- rep(1/length(x), length(x))%*% mean.pauc(x=x, y=y, lowx, highx, ... )%*% rep(1/length(y), length(y))
    
  }
  
  else if (p[1]==0 & 0 < p[2] & p[2] < 1){
    
    lowx <- sortedx[max(which(cx <= 1- p[2]))]
    
    est <- rep(1/length(x), length(x))%*% mean.paucp2(x=x, y=y, lowx, ...)%*% rep(1/length(y), length(y))
    
  }
  
  else if (p[2]==1 & 0 < p[1] & p[1] < 1){
    
    highx <- sortedx[max(which(cx <= 1- p[1] ))]
    
    est <- rep(1/length(x), length(x))%*% mean.paucp1(x=x, y=y, highx, ...)%*% rep(1/length(y), length(y))
    
  }
  
  else if (p[1]==0 & p[2]==1){
    
    est <- rep(1/length(x), length(x))%*% mean.whole(x=x, y=y)%*% rep(1/length(y), length(y))
  }
  
  return(est)
  
}


