\name{eltest.p}
\alias{eltest.p}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Empirical likelihood test for percentile at p and truncated mean at [0, p)
}
\description{
Compute the empirical likelihood ratio test of two parameters: percentile at p and truncated mean at [0, p)
}
\usage{
eltest.p(cutx1, x.sample, mu, eps )
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{cutx1}{
the pth percentile 
}
  \item{x.sample}{
a random sample
}
\item{mu}{
the null hypothesis vector with two elements (p, \eqn{\mu_T})
}
  \item{eps}{
a smoothing parameter
}
}
\details{
If mu is far away from the true value vector, "-2LLR" may be positive infinite
}
\value{
\item{"-2LLR"}{the -2 loglikelihood ratio; approximate chi square distribution with a degree of freedom 2 under \eqn{H_0}}
}
%\references{
%% ~put references to the literature/web site here ~
%}
\author{
Yumin Zhao
}
%\note{
%%  ~~further notes~~
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

%\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
%}
\examples{

set.seed(123)

nsize <- 50

p<- 0.89

rate <- 0.25

q <- qexp(p, rate)

rp_glc <- function(x){
  y <- x*dexp(x, rate=0.25)
  y
}

omu_glc <- integrate(rp_glc, lower= 0, upper=q)$value
mu_glc <- c(p, omu_glc)

x <- rexp(n=nsize, rate=rate)
  
eltest.p(q, x, mu=mu_glc, eps=1/nsize)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
