\name{eltest2step.p12}
\alias{eltest2step.p12}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Empirical likelihood test for percentile at (1-p), and pAUC at (0, p) or (p, 1). P is false positive rate.
}
\description{
Compute the empirical likelihood ratio test with two parameters: percentiles at (1-p), and pAUC fixed at \eqn{pAUC_0}
}
\usage{
eltest2step.p12(x, highx, y, vp, truepauc, tol=.001, eps)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{highx}{
the percentile at (1-p)
}
  \item{x}{
a sample of test results from non-diseased population
}
  \item{y}{
a sample of test results from diseased population
}
\item{vp}{
vector of (0, p) or (p, 1)
}
\item{truepauc}{
the pAUC to be tested
}
  \item{tol}{
the maximum distance between the current guess and the current range on Golden Section Search Optimization method
}
  \item{eps}{
a smoothing parameter
}
}
\details{
The function applys the 'ELseesaw' algorithm described in Section 4.2 to minimize the empirical likelihood ratio test. 
"-2LLR" may be positive infinite if the tested values of the parameters are far away from the true values.
}
\value{
\item{"-2LLR"}{the -2 loglikelihood ratio; approximate chisq distribution with two degree of freedom under H0}
}
\references{
The Paritial Area Under ROC Curves by Empirical Likelihood Method
}
\author{
Yumin Zhao
}
%\note{
%%  ~~further notes~~
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

%\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
%}
\examples{
p <- 0.4

rate.x <- 1
rate.y <- 0.25
  
  rp.exp2<-function(p, rate.x, rate.y)
  { 
    y<- 1- pexp(qexp(1-p, rate=rate.x), rate=rate.y)
    y
  }
  
p1 <- 0
p2 <- p
###ture pAUC at (0, p)
truepauc <- integrate(rp.exp2, rate.x, rate.y,lower=p1,upper=p2)$value 
highx <- qexp(1-p, rate=rate.x)
nx <- 50
ny <- 40
 
x <- rexp(nx, rate.x)
y <- rexp(ny, rate.y)  
eltest2step.p12(vp =c(p1, p2), x=x, y=y, highx=highx, truepauc=truepauc, tol=0.001, eps=1/nx)
    
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
