\name{est.tr.mean}
\alias{est.tr.mean}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Estimate trimmed/truncated means 
}
\description{
This function estimates the trimmed means or truncated means depended on the parameter p.
}
\usage{
est.tr.mean(x.sample, p, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x.sample}{
a random sample
}
  \item{p}{
for a trimmed mean \eqn{p=(p_1, p_2)}, \eqn{0 < p_1 < p_2 < 1}; 
for a truncated mean p is a scalar, \eqn{0 < p < 1}.
}
  \item{\dots}{
there is an additional argument 'eps' for the smoothing parameter.
}
}
\details{
For trimmed means at \eqn{(p_1, p_2)}, 
\eqn{\hat{\mu}_T=\frac{1}{n}\sum_{i=1}^n{x_i I[t_1\le x_i\le t_2]}}
where 
\eqn{t_1=\hat{F}^{-1}(p_1)= \sup\{t: \hat{F}(t) \le p_1 \}; 
     t_2=\hat{F}^{-1}(p_2)= \sup\{t: \hat{F}(t) \le p_2 \}};
If the population has a symmetric distribution and trimms are symmetric (i.e., \eqn{p_1=1-p_2}) as well, 
\eqn{\hat{\mu} = \frac{\hat{\mu}_T}{p_2 - p_1}}, where \eqn{\hat{\mu}} is the estimate
of population mean.  \\
For truncated means at [0, p), \eqn{\hat{\mu_Tn}=\frac{1}{n}\sum_{i=1}^n{x_i I[ x_i\le t]}}
where \eqn{t=\hat{F}^{-1}(p)= \sup\{t: \hat{F}(t) \le p\}};
}
\value{
the returned value is the estimate of trimmed/truncated mean.
}
%\references{
%% ~put references to the literature/web site here ~
%}
\author{
Yumin Zhao
}
%\note{
%%  ~~further notes~~
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

%\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
%}
\examples{
### An example of trimmed mean at (0.21, 0.79)
nsize <- 50
p1 <- 0.21
p2 <- 0.79
eps <- 1/nsize
x <- rnorm(nsize)

est.tr.mean(x, p=c(p1, p2), eps)

## An example of trunated mean at (0, 0.79)

p <- 0.89
x <- rnorm(nsize)

est.tr.mean(x, p, eps=1/nsize)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
